Does Eaglefiler still need Rosetta?

I had to erase my Mac and start over. To open Eaglefiler, I get a message saying I need Rosetta. I don’t remember needing it before, though I had it for something else, so maybe I already had Rosetta when I got EF. My Eaglefiler is from Apple App Store. Does the direct from you version also require Rosetta?
Thank you.

Yes, both versions currently require Rosetta on Apple Silicon Macs. macOS will install it automatically if needed.

OK, thanks.

Michael, are you aiming for v.2 to be native to the M-series chips?

Yes.